cPanel® Blog

cPanel & WHM Browser Compatibility

Internet Explorer versions 6, 7, and 8 had a good run, as did older versions of Firefox, Chrome, and other browsers. Many of them contributed to the Web as we know it today. Continuing to test for, and develop against, older browsers slows development down. To help us deliver features to you faster we’re changing our browser support in cPanel & WHM.


Beginning September 1, 2014, we’ll stop supporting the following browsers:

  • Internet Explorer 8 and older
  • Firefox 28 and older
  • Chrome 33 and older
  • Mobile Safari in iOS 6 and older
  • Mobile Chrome 33 and older

You’ll still be able to use these older browsers, as well as browsers not explicitly listed; however, we’ll stop testing against them. We also won’t address any issues with these browsers.

This change in product support will affect all actively-supported versions of cPanel & WHM as of September 1, 2014. These versions include the following:

  • 11.40
  • 11.42
  • 11.44
  • Any development releases of 11.46

We encourage everyone to upgrade to the latest version of Chrome, Firefox, and Internet Explorer. We’re confident that you’ll benefit from using the latest version of these browsers.

Ken

VP of Product Development

  • lillianmark

    Cpanel easy to use application and WHM application support compatibility easy to use and services..

    MOZ Brand

  • Guest

    Cpanel easy to use application and WHM application support compatibility easy to use and services…

    MOZ Brand

  • captainccs

    Why don’t you support Safari?

  • Simen Mangseth

    If you’re removing old IE support, why not start using SVG icons and logos on your site? The graphics in my Paper Lantern theme is blurry because I have a high DPI screen with 200% zoom.

    • cpanelAdamF

      great idea, Simen. We’ll see what we can do.